Summary:	A real mode 80x86 assembler and linker
Name:		dev86
Version:	0.16.21
Release:	%mkrel 9
License: GPL+ and GPLv2+ and LGPLv2+
Group:		Development/Other
URL:		http://v3.sk/~lkundrak/dev86/
Source:		http://v3.sk/~lkundrak/dev86/Dev86src-%{version}.tar.gz
Patch0:		dev86-noelks.patch
Patch1:		dev86-64bit.patch
Patch2:		dev86-nostrip.patch
Patch4:		dev86-long.patch
Patch5:		dev86-fix-building-with-gcc14.patch
Obsoletes:	bin86
Provides:	bin86
ExclusiveArch:	%{ix86} ppc x86_64

# don't try to strip binaries generated by dev86 unknown to /usr/bin/strip
%define __os_install_post    /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip %{__strip} /usr/lib/rpm/brp-strip-comment-note %{__strip} %{__objdump} %{nil}

BuildRequires:  gcc
%description
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

%package	devel
Summary:	A development files for dev86
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

The dev86-devel package provides C headers need to use bcc, the C
compiler for real mode x86.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

Note that you don't need dev86-devel package in order to build
a kernel.

%prep
%setup -q
%patch -P 0 -p1 -b .noelks
%if 0%{?__isa_bits} == 64
%patch -P 1 -p1 -b .64bit
%endif
%patch -P 2 -p1 -b .nostrip
%patch -P 4 -p1 -b .long
%patch -P 5 -p1 -b .gcc14

%build
# the main makefile doesn't allow parallel build
make bcc86 unproto copt as86 ld86 CFLAGS="%{optflags} -fno-strict-aliasing"
%make_build -C cpp CFLAGS="%{optflags}"
%make_build -C ar CFLAGS="%{optflags}"
%make_build -C ld CFLAGS="%{optflags}"
# ncc doesn't support gcc optflags
make

%install
make	DIST=${RPM_BUILD_ROOT} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_libdir}/bcc \
	INCLDIR=%{_libdir}/bcc \
	LOCALPREFIX=%{_prefix} \
	install install-man

# preserve READMEs
for i in bootblocks copt dis88 unproto bin86 ; do cp $i/README README.$i ; done
cp bin86/README-0.4 README-0.4.bin86
cp bin86/ChangeLog ChangeLog.bin86
mv libc/COPYING COPYING.LGPL

pushd %{buildroot}%{_bindir}
rm -f nm86 size86
ln -s objdump86 nm86
ln -s objdump86 size86
popd

%files
%doc README MAGIC Contributors README.bootblocks README.copt README.dis88
%doc README.unproto README-0.4.bin86 README.bin86 ChangeLog.bin86 COPYING
%doc COPYING.LGPL
%dir %{_libdir}/bcc
%{_bindir}/*
%{_libdir}/bcc/*
%{_mandir}/man1/*
%exclude %{_libdir}/bcc/i386/lib*
%exclude %{_libdir}/bcc/include

%files devel
%doc README
%dir %{_libdir}/bcc/include
%{_libdir}/bcc/include/*
%{_libdir}/bcc/i386/lib*


%changelog
* Tue Oct 01 2024 ns80 <ns80> 0.16.21-9.mga10
+ Revision: 2102277
- fix building with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 0.16.21-8.mga9
+ Revision: 1792912
- Mageia 9 Mass Rebuild

* Fri Sep 11 2020 tv <tv> 0.16.21-7.mga8
+ Revision: 1624548
- better way to recognize 64bit arches
- fix license
- better way to ensure we don't strip binaries
- fix "bare words are no longer supported"

* Thu Feb 13 2020 umeabot <umeabot> 0.16.21-6.mga8
+ Revision: 1511825
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.16.21-5.mga7
+ Revision: 1297426
- Mageia 7 Mass Rebuild

* Sat Oct 21 2017 daviddavid <daviddavid> 0.16.21-4.mga7
+ Revision: 1172944
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Thu Jan 28 2016 umeabot <umeabot> 0.16.21-3.mga6
+ Revision: 928489
- Mageia 6 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.21-2.mga5
+ Revision: 678719
- Mageia 5 Mass Rebuild

* Sat Mar 22 2014 luigiwalser <luigiwalser> 0.16.21-1.mga5
+ Revision: 606603
- 0.16.21
- remove upstreamed format string patch
- update source URL

* Thu Dec 05 2013 luigiwalser <luigiwalser> 0.16.20-1.mga5
+ Revision: 555388
- 0.16.20
- update URLs
- remove upstreamed patches
- sync patches from fedora (long 64-bit type width and format string)

* Fri Oct 18 2013 umeabot <umeabot> 0.16.19-3.mga4
+ Revision: 503809
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.16.19-2.mga3
+ Revision: 348728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 luigiwalser <luigiwalser> 0.16.19-1.mga3
+ Revision: 313623
- 0.16.19
- update URLs
- remove upstreamed patches

* Mon Apr 25 2011 pterjan <pterjan> 0.16.18-3.mga1
+ Revision: 90281
- Fix include dir on x86_64
- Use correct libdir on x86_64
- Search in correct libdir on i586

* Tue Apr 19 2011 pterjan <pterjan> 0.16.18-2.mga1
+ Revision: 88715
- Replace an overlapping strcpy with memmove
+ tv <tv>
- new release 0.1.6.18 (from fedora)

* Sat Jan 22 2011 ahmad <ahmad> 0.16.17-9.mga1
+ Revision: 32996
- add two patches, one from Debian the other from Gentoo to fix build
+ tmb <tmb>
- imported package dev86


* Thu Jan 13 2011 Thomas Backlund <tmb@mageia.org> 0.16.17-8.mga1
- initial Mageia import

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.16.17-7mdv2010.1
+ Revision: 522451
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.16.17-6mdv2010.0
+ Revision: 413349
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.16.17-5mdv2009.0
+ Revision: 220599
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.16.17-4mdv2008.1
+ Revision: 149170
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 01 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.16.17-3mdv2008.0
+ Revision: 46283
- build on x86-64 as well
- patch7: fix build on non-x86 archs (no elksemu)

* Fri Jun 22 2007 Adam Williamson <awilliamson@mandriva.org> 0.16.17-2mdv2008.0
+ Revision: 42798
- rebuild for 2008
- Import dev86

* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.16.17-1mdv2007.0
- 0.16.17
- Fix URL and source
- %%mkrel
- drop patch 6 (applied upstream)

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.16.16-1mdk
- 0.16.16
- Fix invalid memory allocation in bcc.c:build_prefix () (P6 from fedora)
- drop P0-P4
- cleanups

* Sat Jun 19 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.16.3-3mdk
- build on ppc as well

* Thu Jul 24 2003 Götz Waschk <waschk@linux-mandrake.com> 0.16.3-2mdk
- small patch to make it compile with the current gcc

* Wed Nov 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16.3-1mdk
- new release
- fix build
- fix %%doc overwriting README

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15.5-3mdk
- add Url
- rpmlint cleanups

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15.5-2mdk
- Provides: bin86 as well.

* Sat May 26 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15.5-1mdk
- Merge rh patches.
- 0.15.5.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15.1-2mdk
- Make almost rpmlint happy.

* Thu Sep 14 2000 Francis Galiegue <fg@mandrakesoft.com> 0.15.1-1mdk
- Use links, not symlinks!
- 0.15.1
- include ar86 (why wasn't it in before?)

* Tue Aug 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15.0-3mdk
- split out -devel package (needed only for elks developpers ...)
- make rpmlint happier
- use macros ...

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15.0-2mdk
- BM.

* Wed Jun 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15.0-1mdk
- First mandrake version from rh package.
